---
title: "Setup a new integration"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Integrations

`POST /api/integrations/{integrationId}/setup`

## Path parameters

- `integrationId` (`post/api/integrations/integrationId/setup.path.integrationId`; string, required)

## Request body

_Required._

- `config` (`post/api/integrations/integrationId/setup.config`; object, optional)
- `name` (`post/api/integrations/integrationId/setup.name`; string, optional)

## Example request

```json
{
  "config": {},
  "name": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.channelautomation.com/api/integrations/<integrationId>/setup' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {},
  "name": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/integrations/<integrationId>/setup';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({config: {}, name: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/integrations/<integrationId>/setup"

payload = {
    "config": {},
    "name": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```


Source: https://developer.channelautomations.com/api/post-api-integrations-integration-id-setup/index.md
